package cn.iocoder.yudao.module.reward.dal.mysql.redeem;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.reward.dal.dataobject.redeem.RewardRedeemDO;
import cn.iocoder.yudao.module.reward.vo.reward.RewardRedeemPageReqVO;
import cn.iocoder.yudao.module.reward.vo.reward.RewardRedeemPageRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 礼品 Mapper
 * @author 系统管理员
 */
@Mapper
public interface RewardRedeemMapper extends AbstractMapper<RewardRedeemDO> {

    List<RewardRedeemPageRespVO> pageInfo(@Param("start") int start, @Param("size") int size, @Param("req") RewardRedeemPageReqVO reqVO);

    int pageCount(@Param("req") RewardRedeemPageReqVO reqVO);
}
