package cn.iocoder.yudao.module.reward.vo.reward;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("管理后台 - 礼品兑换记录查询 VO")
public class RewardRedeemPageReqVO extends PageParam {
    @ApiModelProperty(value = "礼品名称")
    private String rewardTitle;
    @ApiModelProperty(value = "会员名称")
    private String memberName;
    @ApiModelProperty(value = "领取方式")
    private Integer redeemType;
    @ApiModelProperty(value = "状态")
    private Integer status;
    @ApiModelProperty(value = "数量")
    private Integer rewardCount;
    @ApiModelProperty(value = "数量操作")
    private Integer rewardCountOperate;
    @ApiModelProperty(value = "兑换开始时间")
    private Date startTime;
    @ApiModelProperty(value = "兑换结束时间")
    private Date endTime;
    @ApiModelProperty(value = "礼品id")
    private String rewardCode;
    @ApiModelProperty(value = "兑换入口")
    private Integer entrance;
    @ApiModelProperty(value = "兑换网点")
    private Integer nodeId;
}
