package cn.iocoder.yudao.module.reward.vo.reward;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("管理后台 - 礼品兑换记录分页结果 VO")
public class RewardRedeemPageRespVO extends RewardRedeemBaseVO {
    @ApiModelProperty(value = "会员信息")
    private String memberName;
    @ApiModelProperty(value = "礼品ID")
    private String rewardCode;
    @ApiModelProperty(value = "礼品名称（中文）")
    private String rewardTitleZh;
    @ApiModelProperty(value = "礼品名称（英文）")
    private String rewardTitleEn;
    @ApiModelProperty(value = "礼品名称（法文）")
    private String rewardTitleFr;
    @ApiModelProperty(value = "兑换网点(中文)")
    private String nodeTitleZh;
    @ApiModelProperty(value = "兑换网点(英文)")
    private String nodeTitleEn;
    @ApiModelProperty(value = "兑换积分")
    private Integer totalCount;
    @ApiModelProperty(value = "创建人时间")
    private String creatorName;
    @ApiModelProperty(value = "更新人时间")
    private String updaterName;
}
